Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.lob
Class ClobImpl

    java.lang.Object
      org.hibernate.lob.ClobImpl

All Implemented Interfaces:
  Clob

    public class ClobImpl

extends Object
implements Clob

A dummy implementation of `java.sql.Clob` that may be used to insert new data into a CLOB.

Author:
  Gavin King

Constructor Summary
`ClobImpl(Reader reader, int length)`
`ClobImpl(String string)`

Method Summary
`InputStream` | `getAsciiStream()`
`Reader` | `getCharacterStream()`
`String` | `getSubString(long pos, int len)`
`long` | `length()`
`long` | `position(Clob colb, long pos)`
`long` | `position(String string, long pos)`
`OutputStream` | `setAsciiStream(long pos)`
`Writer` | `setCharacterStream(long pos)`
`int` | `setString(long pos, String string)`
`int` | `setString(long pos, String string, int i, int j)`
`void` | `truncate(long pos)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClobImpl

    public ClobImpl(String string)

### ClobImpl

    public ClobImpl(Reader reader,
                    int length)

Method Detail

### length

    public long length()
                throws SQLException

  Specified by:
    `length` in interface `Clob`
  Throws:
    `SQLException`
  See Also:
    `Clob.length()`

### truncate

    public void truncate(long pos)
                  throws SQLException

  Specified by:
    `truncate` in interface `Clob`
  Throws:
    `SQLException`
  See Also:
    `Clob.truncate(long)`

### getAsciiStream

    public InputStream getAsciiStream()
                               throws SQLException

  Specified by:
    `getAsciiStream` in interface `Clob`
  Throws:
    `SQLException`
  See Also:
    `Clob.getAsciiStream()`

### setAsciiStream

    public OutputStream setAsciiStream(long pos)
                                throws SQLException

  Specified by:
    `setAsciiStream` in interface `Clob`
  Throws:
    `SQLException`
  See Also:
    `Clob.setAsciiStream(long)`

### getCharacterStream

    public Reader getCharacterStream()
                              throws SQLException

  Specified by:
    `getCharacterStream` in interface `Clob`
  Throws:
    `SQLException`
  See Also:
    `Clob.getCharacterStream()`

### setCharacterStream

    public Writer setCharacterStream(long pos)
                              throws SQLException

  Specified by:
    `setCharacterStream` in interface `Clob`
  Throws:
    `SQLException`
  See Also:
    `Clob.setCharacterStream(long)`

### getSubString

    public String getSubString(long pos,
                               int len)
                        throws SQLException

  Specified by:
    `getSubString` in interface `Clob`
  Throws:
    `SQLException`
  See Also:
    `Clob.getSubString(long, int)`

### setString

    public int setString(long pos,
                         String string)
                  throws SQLException

  Specified by:
    `setString` in interface `Clob`
  Throws:
    `SQLException`
  See Also:
    `Clob.setString(long, String)`

### setString

    public int setString(long pos,
                         String string,
                         int i,
                         int j)
                  throws SQLException

  Specified by:
    `setString` in interface `Clob`
  Throws:
    `SQLException`
  See Also:
    `Clob.setString(long, String, int, int)`

### position

    public long position(String string,
                         long pos)
                  throws SQLException

  Specified by:
    `position` in interface `Clob`
  Throws:
    `SQLException`
  See Also:
    `Clob.position(String, long)`

### position

    public long position(Clob colb,
                         long pos)
                  throws SQLException

  Specified by:
    `position` in interface `Clob`
  Throws:
    `SQLException`
  See Also:
    `Clob.position(Clob, long)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD